summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAaron Fischer2016-04-11 11:14:44 +0200
committerAaron Fischer2016-04-11 11:14:44 +0200
commitfa83ce787695c846aabde3a7057b8ff998b408cf (patch)
tree7cbfeaad965bb35c33d0fa6c8fe32b0a92aab005
parenteaa6dd820b6cb9d2f4e2e56a7dfa118a74545ed4 (diff)
downloadaur-fa83ce787695c846aabde3a7057b8ff998b408cf.tar.gz
Version 4.0.0, Lua dependency
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD26
2 files changed, 28 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fb9d2a9405d..a3de3146be9 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,15 +1,13 @@
-# Generated by makepkg 5.0.0
-# Wed Feb 10 15:30:23 UTC 2016
pkgbase = roccat-tools
pkgdesc = Userland applications to configure and make extended use of ROCCAT devices
- pkgver = 3.9.0
+ pkgver = 4.0.0
pkgrel = 1
url = http://roccat.sourceforge.net
arch = i686
arch = x86_64
license = GPL2
makedepends = cmake
- depends = libgaminggear>=0.11.1
+ depends = libgaminggear>=0.12.0
depends = libcanberra
depends = gtk2
depends = libnotify>=0.7.0
@@ -17,9 +15,10 @@ pkgbase = roccat-tools
depends = udev
depends = hicolor-icon-theme
depends = libgudev
+ depends = lua>=5.3
optdepends = kmod-roccat: Adds support for the old kone device.
- source = http://downloads.sourceforge.net/project/roccat/roccat-tools/roccat-tools-3.9.0.tar.bz2
- md5sums = 7ca1a714f1db29fb90bf0c875c206aeb
+ source = http://downloads.sourceforge.net/project/roccat/roccat-tools/roccat-tools-4.0.0.tar.bz2
+ md5sums = 1cd462a09f10fd16369b1aca1234cbd4
pkgname = roccat-tools-common
pkgdesc = ROCCAT tools common files
@@ -95,6 +94,10 @@ pkgname = roccat-tools-ryosmk
pkgdesc = Userland applications to configure and make extended use of ROCCAT RyosMK devices
depends = roccat-tools-common
+pkgname = roccat-tools-ryosmkfx
+ pkgdesc = Userland applications to configure and make extended use of ROCCAT RyosMK FX devices
+ depends = roccat-tools-common
+
pkgname = roccat-tools-ryostkl
pkgdesc = Userland applications to configure and make extended use of ROCCAT RyosTKL devices
depends = roccat-tools-common
diff --git a/PKGBUILD b/PKGBUILD
index f8b68fd30b9..ea693dc239c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -22,32 +22,34 @@ pkgname=('roccat-tools-common'
'roccat-tools-lua'
'roccat-tools-pyra'
'roccat-tools-ryosmk'
+ 'roccat-tools-ryosmkfx'
'roccat-tools-ryostkl'
'roccat-tools-savu'
'roccat-tools-tyon'
'roccat-tools-nyth')
pkgbase=roccat-tools
-pkgver=3.9.0
+pkgver=4.0.0
pkgrel=1
pkgdesc='Userland applications to configure and make extended use of ROCCAT devices'
arch=('i686' 'x86_64')
url='http://roccat.sourceforge.net'
license=('GPL2')
-depends=('libgaminggear>=0.11.1' 'libcanberra' 'gtk2' 'libnotify>=0.7.0' 'dbus-glib' 'udev' 'hicolor-icon-theme' 'libgudev')
+depends=('libgaminggear>=0.12.0' 'libcanberra' 'gtk2' 'libnotify>=0.7.0' 'dbus-glib' 'udev' 'hicolor-icon-theme' 'libgudev' 'lua>=5.3')
makedepends=('cmake')
optdepends=('kmod-roccat: Adds support for the old kone device.')
source=("http://downloads.sourceforge.net/project/roccat/roccat-tools/roccat-tools-$pkgver.tar.bz2")
-md5sums=('7ca1a714f1db29fb90bf0c875c206aeb')
+md5sums=('1cd462a09f10fd16369b1aca1234cbd4')
build() {
cd "$srcdir/$pkgbase-$pkgver"
cmake \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DUDEVDIR=/usr/lib/udev/rules.d \
- -DWITHOUT_PYTHON=TRUE \
- -DLIBDIR="/usr/lib"
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DUDEVDIR=/usr/lib/udev/rules.d \
+ -DWITHOUT_PYTHON=TRUE \
+ -DLIBDIR="/usr/lib" \
+ -DWITH_LUA="5.3"
make
}
@@ -221,6 +223,16 @@ package_roccat-tools-ryosmk() {
install -Dm644 udev/90-roccat-ryosmk.rules $pkgdir/usr/lib/udev/rules.d/90-roccat-ryosmk.rules
}
+package_roccat-tools-ryosmkfx() {
+ pkgdesc='Userland applications to configure and make extended use of ROCCAT RyosMK FX devices'
+ depends=('roccat-tools-common')
+
+ cd "$srcdir/$pkgbase-$pkgver/ryosmkfx"
+ make DESTDIR="$pkgdir/" install
+ cd "$srcdir/$pkgbase-$pkgver"
+ install -Dm644 udev/90-roccat-ryosmkfx.rules $pkgdir/usr/lib/udev/rules.d/90-roccat-ryosmkfx.rules
+}
+
package_roccat-tools-ryostkl() {
pkgdesc='Userland applications to configure and make extended use of ROCCAT RyosTKL devices'
depends=('roccat-tools-common' 'roccat-tools-ryosmk')